Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.manchester
Interface ManchesterOWLParserConstants

All Known Implementing Classes:
  ManchesterOWLParser, ManchesterOWLParserTokenManager

    public interface ManchesterOWLParserConstants

Field Summary
`static int` | `ALL`
`static int` | `AND`
`static int` | `CLASS_EXPR_COMMENT`
`static int` | `CLOSEPAR`
`static int` | `CLOSESQPAR`
`static int` | `DATATYPEID`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `EOF`
`static int` | `EXACT`
`static int` | `EXPONENT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `HAS`
`static int` | `IDENTIFIER`
`static int` | `INTEGER_LITERAL`
`static int` | `LETTER`
`static int` | `MAX`
`static int` | `MIN`
`static int` | `NOT`
`static int` | `ONE_OF`
`static int` | `OPENPAR`
`static int` | `OPENSQPAR`
`static int` | `OR`
`static int` | `SOME`
`static int` | `STRING_LITERAL`
`static String[]` | `tokenImage`
`static int` | `UNBOUNDEDVAL`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### SOME

    static final int SOME

See Also:
  Constant Field Values

### ALL

    static final int ALL

See Also:
  Constant Field Values

### HAS

    static final int HAS

See Also:
  Constant Field Values

### MIN

    static final int MIN

See Also:
  Constant Field Values

### MAX

    static final int MAX

See Also:
  Constant Field Values

### EXACT

    static final int EXACT

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### OPENPAR

    static final int OPENPAR

See Also:
  Constant Field Values

### CLOSEPAR

    static final int CLOSEPAR

See Also:
  Constant Field Values

### OPENSQPAR

    static final int OPENSQPAR

See Also:
  Constant Field Values

### CLOSESQPAR

    static final int CLOSESQPAR

See Also:
  Constant Field Values

### UNBOUNDEDVAL

    static final int UNBOUNDEDVAL

See Also:
  Constant Field Values

### CLASS_EXPR_COMMENT

    static final int CLASS_EXPR_COMMENT

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### ONE_OF

    static final int ONE_OF

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### DATATYPEID

    static final int DATATYPEID

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.